/*
 * Copyright (C) 1999-2015. Christian Heller.
 *
 * This file is part of the Cybernetics Oriented Interpreter (CYBOI).
 *
 * CYBOI is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * CYBOI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CYBOI. If not, see <http://www.gnu.org/licenses/>.
 *
 * Cybernetics Oriented Programming (CYBOP) <http://www.cybop.org/>
 * CYBOP Developers <cybop-developers@nongnu.org>
 *
 * @version CYBOP 0.17.0 2015-04-20
 * @author Christian Heller <christian.heller@tuxtax.de>
 */

#ifndef BUILD_MODIFICATION_LOGIC_CYBOL_NAME_CONSTANT_SOURCE
#define BUILD_MODIFICATION_LOGIC_CYBOL_NAME_CONSTANT_SOURCE

#include <stddef.h>

#include "../../../../../constant/model/cyboi/state/integer_state_cyboi_model.c"

/** The name build modification logic cybol name. */
static wchar_t NAME_BUILD_MODIFICATION_LOGIC_CYBOL_NAME_ARRAY[] = {L'n', L'a', L'm', L'e'};
static wchar_t* NAME_BUILD_MODIFICATION_LOGIC_CYBOL_NAME = NAME_BUILD_MODIFICATION_LOGIC_CYBOL_NAME_ARRAY;
static int* NAME_BUILD_MODIFICATION_LOGIC_CYBOL_NAME_COUNT = NUMBER_4_INTEGER_STATE_CYBOI_MODEL_ARRAY;

/** The base build modification logic cybol name. */
static wchar_t BASE_BUILD_MODIFICATION_LOGIC_CYBOL_NAME_ARRAY[] = {L'b', L'a', L's', L'e'};
static wchar_t* BASE_BUILD_MODIFICATION_LOGIC_CYBOL_NAME = BASE_BUILD_MODIFICATION_LOGIC_CYBOL_NAME_ARRAY;
static int* BASE_BUILD_MODIFICATION_LOGIC_CYBOL_NAME_COUNT = NUMBER_4_INTEGER_STATE_CYBOI_MODEL_ARRAY;

/** The index build modification logic cybol name. */
static wchar_t INDEX_BUILD_MODIFICATION_LOGIC_CYBOL_NAME_ARRAY[] = {L'i', L'n', L'd', L'e', L'x'};
static wchar_t* INDEX_BUILD_MODIFICATION_LOGIC_CYBOL_NAME = INDEX_BUILD_MODIFICATION_LOGIC_CYBOL_NAME_ARRAY;
static int* INDEX_BUILD_MODIFICATION_LOGIC_CYBOL_NAME_COUNT = NUMBER_5_INTEGER_STATE_CYBOI_MODEL_ARRAY;

/* BUILD_MODIFICATION_LOGIC_CYBOL_NAME_CONSTANT_SOURCE */
#endif
